# Google Apps Meet V2 Client - Class DriveDestination (0.5.4)

0.5.4 (latest) 0.5.3 0.4.1 0.3.0 0.2.6 0.1.0 Reference documentation and code samples for the Google Apps Meet V2 Client class DriveDestination.

Export location where a recording file is saved in Google Drive.

Generated from protobuf message `google.apps.meet.v2.DriveDestination`

## Namespace

Google \\ Apps \\ Meet \\ V2

## Methods

### __construct

Constructor.

| **Parameters** ||
|---|---|
| **Name** | **Description** |
| `data` | `array` Optional. Data for populating the Message object. |
| `↳ file` | `string` Output only. The `fileId` for the underlying MP4 file. For example, "1kuceFZohVoCh6FulBHxwy6I15Ogpc4hP". Use `$ GET https://www.googleapis.com/drive/v3/files/{$fileId}?alt=media` to download the blob. For more information, see <https://developers.google.com/drive/api/v3/reference/files/get>. |
| `↳ export_uri` | `string` Output only. Link used to play back the recording file in the browser. For example, `https://drive.google.com/file/d/{$fileId}/view`. |

### getFile

Output only. The `fileId` for the underlying MP4 file. For example,
"1kuceFZohVoCh6FulBHxwy6I15Ogpc4hP". Use `$ GET
https://www.googleapis.com/drive/v3/files/{$fileId}?alt=media` to download
the blob. For more information, see
<https://developers.google.com/drive/api/v3/reference/files/get>.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `string` |   |

### setFile

Output only. The `fileId` for the underlying MP4 file. For example,
"1kuceFZohVoCh6FulBHxwy6I15Ogpc4hP". Use `$ GET
https://www.googleapis.com/drive/v3/files/{$fileId}?alt=media` to download
the blob. For more information, see
<https://developers.google.com/drive/api/v3/reference/files/get>.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getExportUri

Output only. Link used to play back the recording file in the browser. For
example, `https://drive.google.com/file/d/{$fileId}/view`.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `string` |   |

### setExportUri

Output only. Link used to play back the recording file in the browser. For
example, `https://drive.google.com/file/d/{$fileId}/view`.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |